# /api/task/update

Atualização da Tarefa

* Endpoint: /api/task/update
* Método: PUT;
* Autorização: obrigatória;
* Parâmetros:

Guid (obrigatório): GUID ou nome da Tarefa;

Name: Nome da Tarefa atualizada;

QueueGuid: GUID da Fila para adicionar uma nova Tarefa;

Description: Descrição para a Tarefa atualizada;

Comment: Comentário para a Tarefa atualizada;

Deadline: Prazo para a Tarefa atualizada;

Retries: Número de tentativas para a Tarefa atualizada;

Tags: Tags para a Tarefa atualizada, separadas ![](https://lh7-rt.googleusercontent.com/docsz/AD_4nXdIcUefyW11ns_VP24F0H_BqMA5881NJVZtlSwuRUlujF5LndDsBb1AaSgHjJWeTYl9-1bvrIE0vYohBzm0_bH8a5wdpJeNFTrmaLfCk7Ju2IUfk5W_3Lyyrl9eWEDno6xqZKcTbA?key=o0FHaGHt8wdv-FpDKfCXmTRa);

Parameters: Parâmetros da Tarefa atualizada;

Status: Status da Tarefa atualizada.

* Exemplo:

| Requisição                                                                                                  | Resposta |
| ----------------------------------------------------------------------------------------------------------- | -------- |
| `json</p><p> {</p><p> "guid": "0cff3e77-78fc-405e-98c9-ef5076c0c883",</p><p> "status": 1,</p><p> } </p><p>` | \[]      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sherparpa.ru/pt/sherpa-rpa/sherpa-orchestrator/api/zadacha/api-task-update.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
